function [ M ] = randpts( num_of_pts, scale )
% Generate random points in the volume of an sphere

rvals = 2*rand(num_of_pts,1)-1;
elevation = asin(rvals);

azimuth = 2*pi*rand(num_of_pts,1);

radii = scale*(rand(num_of_pts,1).^(1/3));
[x,y,z] = sph2cart(azimuth,elevation,radii);
M=[x,y,z];

end
